CreateResourceStack
CreateResourceStack
/zstack/v1/cloudformation/stackOperation ID
CreateResourceStackSince
2.5.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe resource name.
descriptionStringOptional. The detailed description of the resource.
typeStringOptional. The stack type. Default type: zstack.
rollbackBooleanOptional. Whether to roll back if stack creation fails. By default, rollback is performed on failure.
templateContentStringOptional. The stack content, which is a JSON string.Note: Make sure that at least one of templateContent and templateUuid is not null.
templateUuidStringOptional. The template UUID.Note: Make sure that at least one of templateContent and templateUuid is not null.
parametersStringRequiredThe parameters in the stack. The parameters are JSON strings.
resourceUuidStringOptional. The resource UUID.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
